For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
DocsAPI Reference
DocsAPI Reference
  • API Reference
      • POSTAdd a Collaborator to a Project
      • POSTBatch create Collaborators and PendingCollaborators within a Project
      • DELBatch delete Collaborators and PendingCollaborators for a Project
      • POSTCreate a Project
      • DELDelete Project by ID
      • GETGet current User(s) membership for a Project
      • GETGet Project by ID
      • GETGet Project Collaborators
      • GETGet Projects by Team
      • PUTUpdate a Project

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceProjects

Update a Project

PUT
https://api.frame.io/v2/projects/:project_id
PUT
/v2/projects/:project_id
1import requests
2
3url = "https://api.frame.io/v2/projects/project_id"
4
5payload = {}
6headers = {
7 "Authorization": "Bearer <token>",
8 "Content-Type": "application/json"
9}
10
11response = requests.put(url, json=payload, headers=headers)
12
13print(response.json())
1{
2 "id": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa",
3 "name": "My Project",
4 "owner_id": "dddddddd-dffd-dddd-dddd-dddddddddddd",
5 "private": false,
6 "project_preferences": {},
7 "root_asset_id": "cccccccc-cccc-cccc-cccc-cccccccccccc",
8 "team_id": "bbbbbbbb-bbbb-bbbb-bbbb-bbbbbbbbbbbb"
9}

Update a Project ID with only the fields provided (overwrite)

Was this page helpful?
Previous

Add Asset to a Review Link

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_idstringRequired

Request

Project to create or update
namestringOptional
Project name
privatebooleanOptional
If true, the project is private to the creating user
project_preferencesobjectOptional

Response

Project success response
archive_statusenum
Archival status for this Project
Allowed values:
archived_atstringformat: "date-time"
When a Project was archived
archived_file_countintegerDefaults to 0
archived_storageintegerDefaults to 0
collaborator_countintegerDefaults to 0
deleted_atstringformat: "date-time"
If deleted, when this Project was deleted
descriptionstring
file_countintegerDefaults to 0
folder_countintegerDefaults to 0
idstringformat: "uuid"
ignore_archivebooleanDefaults to false
inserted_atstringformat: "date-time"
When was this Project created
invite_urlstring
namestring
Name of this Project
owner_idstringformat: "uuid"
privatebooleanDefaults to false
project_preferencesobject
read_onlybooleanDefaults to false
root_assetobject

Accepts arbitrary key/value pairs for storing information on an asset

root_asset_idstringformat: "uuid"
sharedbooleanDefaults to false
storageintegerDefaults to 0
teamobject
team_idstringformat: "uuid"
updated_atstringformat: "date-time"
user_permissionsobject
user_preferencesobject
watermarkobject

Errors

401
Unauthorized Error
404
Not Found Error